Package org.eclipse.lemminx.settings

## Class XMLGeneralClientSettings

- java.lang.Object
- - org.eclipse.lemminx.settings.XMLGeneralClientSettings

    public class XMLGeneralClientSettings
    extends Object

Class to hold all settings from the client side. See https://github.com/eclipse/lemminx/blob/main/docs/Configuration.md for more information. This class is created through the deseralization of a JSON object. Each internal setting must be represented by a class and have: 1) A constructor with no parameters 2) The JSON key/parent for the settings must have the same name as a varible. eg: {"format" : {...}, "completion" : {...}} In this class must exist both a "format" and "completion" variable with the appropriate Class to represent the value of each key

### Constructor Summary

Constructors
`XMLGeneralClientSettings()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`XMLCodeLensSettings` `getCodeLens()` Returns the code lens settings.
`XMLCompletionSettings` `getCompletion()` Returns the completion settings
`XMLFoldingSettings` `getFolding()` Returns the folding options
`XMLFormattingOptions` `getFormat()` Returns the formatting options
`static XMLGeneralClientSettings` `getGeneralXMLSettings​(Object initializationOptionsSettings)` Returns a new instance of `XMLGeneralClientSettings` with contents from `initializationOptionsSettings`
`LogsSettings` `getLogs()`
`XMLPreferences` `getPreferences()` Returns the XML preferences
`ServerSettings` `getServer()` Returns the server
`XMLSymbolSettings` `getSymbols()`
`XMLTelemetrySettings` `getTelemetry()` Returns the telemetry settings
`boolean` `isLinkedEditingEnabled()`
`void` `setCodeLens​(XMLCodeLensSettings codeLens)` Sets the code lens settings.
`void` `setCompletion​(XMLCompletionSettings completion)` Sets the completion settings
`void` `setFolding​(XMLFoldingSettings foldings)` Sets the folding options
`void` `setFormat​(XMLFormattingOptions format)` Sets the formatting options
`void` `setLinkedEditingEnabled​(boolean linkedEditingEnabled)`
`void` `setLogs​(LogsSettings logs)`
`void` `setPreferences​(XMLPreferences preferences)` Sets the XML preferences
`void` `setServer​(ServerSettings server)` Sets the server
`void` `setSymbols​(XMLSymbolSettings symbols)`
`void` `setTelemetry​(XMLTelemetrySettings telemetry)` Sets the telemetry settings

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLGeneralClientSettings

    public XMLGeneralClientSettings()

### Method Detail

#### setLogs

    public void setLogs​(LogsSettings logs)

#### getLogs

    public LogsSettings getLogs()

#### getSymbols

    public XMLSymbolSettings getSymbols()

#### setSymbols

    public void setSymbols​(XMLSymbolSettings symbols)

#### getCodeLens

    public XMLCodeLensSettings getCodeLens()

Returns the code lens settings.

Returns:
  the code lens settings.

#### setCodeLens

    public void setCodeLens​(XMLCodeLensSettings codeLens)

Sets the code lens settings.

Parameters:
  `codeLens` -

#### setFormat

    public void setFormat​(XMLFormattingOptions format)

Sets the formatting options

Parameters:
  `format` -

#### getFormat

    public XMLFormattingOptions getFormat()

Returns the formatting options

Returns:
  the formatting options

#### setFolding

    public void setFolding​(XMLFoldingSettings foldings)

Sets the folding options

Parameters:
  `foldings` -

#### getFolding

    public XMLFoldingSettings getFolding()

Returns the folding options

Returns:
  the folding options

#### setCompletion

    public void setCompletion​(XMLCompletionSettings completion)

Sets the completion settings

Parameters:
  `completion` -

#### getCompletion

    public XMLCompletionSettings getCompletion()

Returns the completion settings

Returns:
  the completion settings

#### setLinkedEditingEnabled

    public void setLinkedEditingEnabled​(boolean linkedEditingEnabled)

#### isLinkedEditingEnabled

    public boolean isLinkedEditingEnabled()

#### getPreferences

    public XMLPreferences getPreferences()

Returns the XML preferences

Returns:
  the XML preferences

#### setPreferences

    public void setPreferences​(XMLPreferences preferences)

Sets the XML preferences

Parameters:
  `preferences` - the XML preferences

#### getServer

    public ServerSettings getServer()

Returns the server

Returns:
  the server

#### setServer

    public void setServer​(ServerSettings server)

Sets the server

Parameters:
  `server` -

#### getTelemetry

    public XMLTelemetrySettings getTelemetry()

Returns the telemetry settings

Returns:
  the telemetry settings

#### setTelemetry

    public void setTelemetry​(XMLTelemetrySettings telemetry)

Sets the telemetry settings

Parameters:
  `telemetry` - the telemetry settings

#### getGeneralXMLSettings

    public static XMLGeneralClientSettings getGeneralXMLSettings​(Object initializationOptionsSettings)

Returns a new instance of `XMLGeneralClientSettings` with contents from `initializationOptionsSettings`

Parameters:
  `initializationOptionsSettings` -
Returns:
  a new instance of `XMLGeneralClientSettings` with contents from `initializationOptionsSettings`